/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic;

import harmonic.gen.*;
import org.w3c.dom.*;

public class BasicQuery implements Query
{
    public static class Factory implements QueryFactory
    {
	public Query create() {
	    return new BasicQuery();
	}
    }
    
    public Page execute(QueryHandler hdl)
    {
	Page page = new Page();

	page.getHeader().addContent(new MainMenuModule());
	page.getSidebar().addContent(new SearchModule());
	page.getSidebar().addContent(new UserModule(hdl));

	return page;
    }
}
