/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic;

import harmonic.gen.*;

public class ErrorQuery extends BasicQuery
{
    public Page execute(QueryHandler hdl)
    {
	Page page = super.execute(hdl);

	Division block = new Division("block");
	block.addContent(new Header(1, "Error: Page not found"));
	block.addContent(new Paragraph("The requested page: " + hdl.extractQuery() +
				       " could not be found."));
	block.addContent(new Paragraph("This may be caused by an internal error. " +
				       "Please report this issue to the website administrator."));

	page.getContent().addContent(block);
	
	return page;
    }
}
