/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic;

import java.util.*;

public class QueryFactoryManager
{
    private Map<String, QueryFactory> m_fact = new HashMap<String, QueryFactory>();
    
    public void register(String name, QueryFactory fact)
    {
	m_fact.put(name, fact);
    }
    
    public Query create(String name)
    {
	QueryFactory fact = m_fact.get(name);

	if (fact != null)
	    return fact.create();
	return null;
    }
}
