/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic;

import harmonic.gen.*;

public class SearchModule extends Module
{
    public void build(Division div)
    {
	div.addContent(new Header(2, "Search"));

	Form form = new Form("search");
	div.addContent(form);

	Input in = new Input("text", "query");
	in.setSize(15);
	form.addContent(in);
	form.addContent(new Input("submit", "search", "Search"));

	Paragraph para = new Paragraph();
	form.addContent(para);
	
	para.addContent(new Text("Look for "));
	SelectInput type = new SelectInput("type");
	para.addContent(type);
	type.addOption("song").setText("songs");
	type.addOption("artist").setText("artists");
	type.addOption("user").setText("users");
	type.addOption("community").setText("communities");
    }
}
