/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic.gen;

import org.w3c.dom.*;
import java.util.*;

public abstract class ContentGenerator implements Generator
{
    List<Generator> m_gen = new LinkedList<Generator>();
    List<Node> m_nod = new LinkedList<Node>();
    
    public Generator addContent(Generator g) {
	m_gen.add(g);
	return g;
    }

    public Generator addContentFirst(Generator g) {
	m_gen.add(0, g);
	return g;
    }
    
    public Node addContent(Node g) {
	m_nod.add(g);
	return g;
    }

    protected Node generateContent(Node el) {
	Document doc = el.getOwnerDocument();

	Iterator it = m_gen.iterator();
	while(it.hasNext())
	    el.appendChild(((Generator)it.next()).generate(doc));

	it = m_nod.iterator();
	while(it.hasNext())
	    el.appendChild((Node)it.next());

	return el;
    }
}
