/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic.gen;

import org.w3c.dom.*;
    
public class Header extends ContentGenerator
{
    int m_level = 1;
    String m_text = null;

    public Header(int level) {
	m_level = level;
    }

    public Header(String text) {
	m_text = text;
    }

    public Header(int level, String text) {
	m_level = level;
	m_text = text;
    }

    public Node generate(Document doc) {
	Element h = doc.createElement("h" + m_level);
	if (m_text != null)
	    h.appendChild(doc.createTextNode(m_text));

	return generateContent(h);
    }
}
