/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic.gen;

import org.w3c.dom.*;

public class Image implements Generator
{
    String m_src = null;
    String m_alt = null;

    public Image(String src) {
	m_src = src;
    }

    public Image(String src, String alt) {
	m_src = src;
	m_alt = alt;
    }
    
    public Node generate(Document doc) {
	Element el = doc.createElement("img");

	if (m_src != null)
	    el.setAttribute("src", m_src);
	if (m_alt != null)
	    el.setAttribute("alt", m_alt);
	
	return el;
    }
}
