/*
    HARMONIC - Online music communities system
    ========
    
    Copyright (C) 2008  Juan Pedro Bolivar Puente,
                        Luca Mefistofeles Conesa Martin-Aragon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package harmonic.gen;

import org.w3c.dom.*;

public class TextAreaInput extends Input
{
    String m_name;
    int m_cols = -1;
    int m_rows = -1;

    public TextAreaInput(String name) {
	m_name = name;
    }
    
    public TextAreaInput(String name, int rows, int cols) {
	m_name = name;
	m_cols = cols;
	m_rows = rows;
    }
    
    public Node generate(Document doc)
    {
	Element el = doc.createElement("textarea");
	fillInputAttributes(el);

	if (m_name != null)
	    el.setAttribute("name", m_name);
	if (m_cols > 0)
	    el.setAttribute("cols", (new Integer(m_cols)).toString());
	if (m_rows > 0)
	    el.setAttribute("rows", (new Integer(m_rows)).toString());
	
	return generateContent(el);
    }
}
